function msgtxt = bin2texto(msgbin,archivotxt)
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%
%     bin2texto(msgbin,archivotxt)
%
% Funcion que toma un mensaje binario y lo convierte a texto ASCII. 
%
% archivotxt --> Archivo donde se guardara el mensaje en texto plano
% msgbin     --> Mensaje codificado en binario


%msgbin = str2num(msgbin);
%en caso de borron inserto un caracter especial

cborron = 0; 
ind = find(msgbin == 2);
msgC(ind) = 2^8;

lmsgchar = length(msgbin)/8;
sal_bin = reshape(msgbin,8,lmsgchar)';
sal_dec = sal_bin*([128 64 32 16 8 4 2 1]');

ind = find(sal_dec > 255);
sal_dec(ind) = cborron;

texto = char(sal_dec);

fid=fopen(archivotxt,'wb');
fwrite(fid,texto);
fclose(fid);

if nargout > 0 
    msgtxt = texto;
end
