function vec_salida = canal(vec_entrada,p)
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%
% Nombre: canal
%
% Descripcin: Simula el comportamiento de un canal binario simtrico con
% borrado (canal). La probabilidad de asignar una salida como smbolo
% borrado es $p$. La funcin toma como entrada un vector columna con los smbolos (0,1)
% a transmitir y devuelve un vector del mismo tamao con la salida conteniendo smbolos (0,1,2),
% siendo 2 el smbolo de borrado.
% 
% ::Ejemplo::
%
%   entradas: 
%                 vec_entrada = [0;1;1;1;0;1;0;1;1;1;0;1]
%                 p = 0.1
%   salidas:
%                 vec_salida = [0;1;2;1;0;1;0;1;1;1;0;1]
%
% Parmetros: 
% vec_entrada - Vector columna con los smbolos a transmitir, los smbolos deben ser carcteres.  (vector Dx1)
% p - Probabilidad de que un smbolo sea borrado al transmitirse por el canal 
%
% Retorno:
% vec_salida - Vector columna con la salida del canal (Dx1)
%

disp['La funcin canal.m no ha sido implementada.']; % Eliminar esta linea al programar la funcin
