function msgCodif = codifica(msgbin,codigo);
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%

%msgbin = msgbin';
%msgbin = str2num(msgbin);

[l,p] = size(codigo); %Cantidad de palabras del codigo
orden = log2(l); %Extension de orden "orden";
lmsg = length(msgbin);


msgshape = reshape(msgbin,orden,lmsg/orden)';
cbase = 2.^[orden-1:-1:0];
msgC = msgshape*cbase';

msgCod = [];

k = max(msgC);

for i = 0:k
    ind = find(msgC == i);
    for j=1:length(ind)       
       msgCod(ind(j),:) = codigo(i+1,:); 
    end
end

lmsgCod = size(msgCod,1)*size(msgCod,2);
msgCod = reshape(msgCod',1,lmsgCod)';

%Remuevo espacios en blanco
msgCodif = [];
for i = 1:lmsgCod
    if ~strcmp(char(msgCod(i)), ' ')
      msgCodif = [msgCodif; char(msgCod(i))];
    end

end

msgCodif = str2num(msgCodif);
