function Pj = condconj(Pd, pa)
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%
% FUNCTION Pj = condconj(Pd, pa)
%
% Dada la matriz Pd que contiene la distribucion de probabilidadas condicionales
% de 2 variables aleatorias (A y B), o sea p(b/a), y el vector de probabilidades
% de la variable A, calcula la distribucion de probabilidades conjuntas de estas
% variables y las devuelve en la matriz Pj.
%

% Andre Luiz Fonseca de Oliveira, Alicia Fernndez
% 08-08-97

Md = diag(pa);
Pj = Md * Pd;
