function h = entconj(A)
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%
% FUNCTION h = entconj(A)
%
% Calcula la entropia conjunta de dos variables aleatorias.
% La matriz A contiene la distribucion de probabilidadas conjuntas
% de las variables aleatorias
%
% Las probabilidades de la variable X varian segn las columnas y las
% de la variable Y segn las filas.


% Andre Luiz Fonseca de Oliveira, Alicia Fernndez
% 25-06-97

%chequeo = sum(sum(A));
%if (chequeo ~= 1)
%	error('A no es una distribucion de probabilidades conjuntas')
%end

ind = find(A == 0);
A(ind) = ones(size(ind));
l1 = log(A);
l2 = log(2 * ones(size(A)));
l = l1 ./ l2;
h = (-1) * sum(sum(A .* l));
