function h = entropia(x)
% Sistemas de Comunicaci�n 2013 - Taller
% Instituto de Ingenier�a El�ctrica
%
% FUNCTION h = entropia(x)
%
% Si x es un vector calcula la entropia de la variable aleatoria
% considerando que x contiene la distribucion de probabilidades
%
% Si x es una matriz considera que existen tantas variables
% aleatorias cuantas columnas tenga la matriz y que sus distribuciones
% de probabilidades estan en las columnas de la matriz;


% Andre Luiz Fonseca de Oliveira, Alicia Fern�ndez
% 25-06-97

%chequeo = sum(x);
%if (find(chequeo ~= 1) ~= [])
%	error('No es una distribucion de probabilidades')
%end

ind = find(x == 0);
x(ind) = ones(size(ind));
l1 = log(x);
l2 = log(2 * ones(size(x)));
l = l1 ./ l2;
h = (-1) * sum(x .* l);
