function i = infmut(A)
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%
% FUNCTION i = infmut(A)
%
% Calcula la informacin mutua I(X|Y) entre las variables aleatorias X
% e Y.
% La matriz A contiene la distribucion de probabilidadas conjuntas
% de las variables aleatorias
%
% Las probabilidades de la variable X varian segn las columnas y las
% de la variable Y segn las filas.


% Andre Luiz Fonseca de Oliveira, Alicia Fernndez
% 25-06-97

%chequeo = sum(sum(A));
%if (chequeo ~= 1)
%	error('A no es una distribucion de probabilidades conjuntas')
%end

px = conj2mar(A);
px = px(:,1);
i = entropia(px) - entcond(A);
