function P = conj2mar(A)
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%
% FUNCTION P = conj2mar(A)
%
% Dada la matriz A que contiene la distribucion de probabilidadas conjuntas
% de 2 variables aleatorias, calcula la distribucion de probabilidades marginales
% de estas variables y devuelve cada una en una columna de la matriz P.
%
% Las probabilidades de la variable X varian segn las columnas y las
% de la variable Y segn las filas.
% Devuelve la distribucion de x en la primera columna y la de Y
% en la segunda.

% Andre Luiz Fonseca de Oliveira, Alicia Fernndez
% 25-06-97

%chequeo = sum(sum(A));
%if (chequeo ~= 1)
%	error('A no es una distribucion de probabilidades conjuntas')
%end

m=max(size(sum(A)'));
P(1:m,1) = sum(A)';
m=max(size(sum(A')'));
P(1:m,2) = sum(A')';
