function [hxy, hyx] = entcond(A)
% Sistemas de Comunicacin 2013 - Taller
% Instituto de Ingeniera Elctrica
%
% FUNCTION [hxy, hyx] = entcond(A)
%
% Calcula la entropia condicional de la variable aleatoria X
% dada la variable Y (X e Y variables aleatorias).
% La matriz A contiene la distribucion de probabilidadas conjuntas
% de las variables aleatorias
%
% Las probabilidades de la variable X varian segn las columnas y las
% de la variable Y segn las filas.


% Andre Luiz Fonseca de Oliveira, Alicia Fernndez
% 25-06-97

%chequeo = sum(sum(A));
%if (chequeo ~= 1)
%	error('A no es una distribucion de probabilidades conjuntas')
%end

aux = entropia(conj2mar(A));
hxy = entconj(A) - aux(1,2);
hyx = entconj(A) - aux(1,1);
